Bug 246654 - Some fonts not rendering
Some fonts not rendering
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
firefox3INSUFFICIENT_DATAmassClosing
: Reopened
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2007-07-03 13:45 EDT by Christopher Stone
Modified: 2008-04-18 10:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-18 10:08:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
reproducing the bug with Rawhide gnome-terminal (11.37 KB, image/png)
2008-04-10 13:37 EDT, Matěj Cepl
no flags Details
not reproducible with xterm (6.95 KB, image/png)
2008-04-10 13:38 EDT, Matěj Cepl
no flags Details
reproduction in gedit (compating with xterm) (578.67 KB, image/png)
2008-04-18 05:51 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Christopher Stone 2007-07-03 13:45:22 EDT
The following text does not show up properly in firefox:
획 기 적 인

If you copy&paste this into an xterm it shows up fine.

It fails also with gnome-terminal and konsole.

Possibly related to bug #236803
Comment 1 Jens Petersen 2008-01-01 22:07:00 EST
Can you explain in detail how to reproduce this please?

Comment 2 Christopher Stone 2008-01-02 00:19:11 EST
Just simply copy and paste the text in the original comment into an xterm, then
try to do it with konsole or gnome-terminal.  You will discover the text is only
properly displayed in the xterm console.

This is reproducible also in Fedora 8.
Comment 3 Matěj Cepl 2008-02-21 17:34:29 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 4 Matěj Cepl 2008-02-21 17:35:42 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 5 Matěj Cepl 2008-04-09 10:04:56 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

[This is a mass-closing request, if you think that this bug shouldn't be closed,
please, reopen with additional information.]
Comment 6 Christopher Stone 2008-04-09 18:41:23 EDT
What total bull crap.  I cannot test firefox 3 until it is available in a stable
release of fedora.

I like your plan of action, "please test something which is not available", oh
since you cannot test this, I'm closing the bug.

Using a 3rd party repo (remi) I tested minefield and it appears the bug still exits.
Comment 7 Matěj Cepl 2008-04-10 13:36:19 EDT
OK, I screwed up on this bug. I am sorry.

However, this is really not firefox fault. When testing with gnome-terminal and
xterm, it works well with xterm (will attach screenshots for both), but not with
gnome-terminal. Which leads directly to the possible candidate for this issue,
which is pango (used by all Gnome apps & firefox, but not by xterm). Reassigning.

And it is well reproducible with Rawhide.
Comment 8 Matěj Cepl 2008-04-10 13:37:50 EDT
Created attachment 302030 [details]
reproducing the bug with Rawhide gnome-terminal
Comment 9 Matěj Cepl 2008-04-10 13:38:37 EDT
Created attachment 302031 [details]
not reproducible with xterm
Comment 10 Matěj Cepl 2008-04-10 13:39:30 EDT
Using
xterm-234-1.fc9.i386
gnome-terminal-2.22.1-1.fc9.i386
pango-1.20.1-1.fc9.i386
Comment 11 Nicolas Mailhot 2008-04-10 16:20:46 EDT
xterm probably still uses the old legacy so-called core X11 support. Pretty much
everything else uses the new (for more-than-five-years-old values of new)
fontconfig font system. The core X11 font backend and the fontconfig backend do
not have access to the same fonts (in particular we do not install old fonts in
weird formats in fontconfig, and we do not install modern complex fonts in core
X11).

Install a modern font package instead of the one you're using in xterm and
you'll be fine.
Comment 12 Behdad Esfahbod 2008-04-15 16:03:30 EDT
gnome-terminal by default uses vte's xft backend, not pango.

It will definitely be a pango bug if you can reproduce it in gedit.  Otherwise,
it may be someone else at fault.
Comment 13 Matěj Cepl 2008-04-18 05:51:07 EDT
Created attachment 302865 [details]
reproduction in gedit (compating with xterm)

(In reply to comment #12)
> gnome-terminal by default uses vte's xft backend, not pango.
> 
> It will definitely be a pango bug if you can reproduce it in gedit.
> Otherwise, it may be someone else at fault.

Well, did you try? ;-)
Comment 14 Behdad Esfahbod 2008-04-18 10:08:46 EDT
Ah, so by doesn't show up the reporter means hexboxes are drawn.  Easy one. 
Install a proper font.  xterm works because you have a bitmap X font installed
that covers those chars.  Anything using client-side fonts doesn't work.

Note You need to log in before you can comment on or make changes to this bug.